Bug 1339601 - zsh exits with "parse error near `!'" for script with unescaped ! character
Summary: zsh exits with "parse error near `!'" for script with unescaped ! character
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: zsh
Version: 7.2
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Kamil Dudka
QA Contact: Jan Kepler
URL:
Whiteboard:
Depends On: 1338689
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-25 12:28 UTC by Marcel Kolaja
Modified: 2019-11-14 08:09 UTC (History)
4 users (show)

Fixed In Version: zsh-5.0.2-14.el7_2.2
Doc Type: Bug Fix
Doc Text:
Cause: Zsh parser state was insufficiently initialized. Consequence: Zsh failed to parse unescaped exclamation mark in a text string. Fix: An upstream patch has been applied on Zsh source code to properly initialize the parser state. Result: Unescaped exclamation marks do not cause parsing problems to Zsh any more.
Clone Of: 1338689
Environment:
Last Closed: 2016-06-23 16:32:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1302 0 normal SHIPPED_LIVE zsh bug fix update 2016-06-23 20:16:00 UTC

Description Marcel Kolaja 2016-05-25 12:28:31 UTC
This bug has been copied from bug #1338689 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 8 errata-xmlrpc 2016-06-23 16:32:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1302


Note You need to log in before you can comment on or make changes to this bug.